import {postAction,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 楼长KPI管理
let initSubstName = (params) => postAction(prefix + "/ysmUser/initSubstName" , params);
let getSchoolNames  = (params) => postAction(prefix + "/ysmUser/getSchoolNames" , params);
let uploadExcel = (params) => downFilePost(prefix + "/zjlWage/excelOut" , params);
let downloadMoBan = (params) => downFilePost(prefix + "/zjlWage/downloadMoBan" , params);
let zjlSalaryList = (params) => postAction(prefix + "/zjlWage/list" , params);
let zjlSalaryDelete = (params) => postAction(prefix + "/zjlWage/delete", params);
let zjlSalaryInsert = (params) => postAction(prefix + "/zjlWage/insert" , params);
let zjlSalaryUpdate = (params) => postAction(prefix + "/zjlWage/update",params);
//生成楼长上月薪酬
let createSalary = (params) => postAction(prefix + "/zjlWage/createSalary",params);




export {
    initSubstName,
    getSchoolNames,
    uploadExcel,
    downloadMoBan,
    zjlSalaryList,
    zjlSalaryDelete,
    zjlSalaryInsert,
    zjlSalaryUpdate,
    createSalary
}
